View Issue Details

IDProjectCategoryView StatusLast Update
0000341XMB1Bugspublic2010-02-24 17:57
ReportermiqrogrooveAssigned Tomiqrogroove 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformIIS/CGI/FastCGIOSOS Version
Product Version 
Target Version1.9.11.08Fixed in Version1.9.11.08 
Summary0000341: PHP 5.3/IIS CGI Compatibility
DescriptionXMB Responds:

"Error: The $full_url setting in config.php appears to be incorrect.
URI paths do not match.
/xmb/ was expected, but server saw path"

It's hard to imagine this as an XMB bug because the required server feature, REQUEST_URI, is completely broken.
Additional InformationI never had this problem with the PHP/IIS ISAPI platform. Since ISAPI is no longer supported by PHP 5.3, it might be unrealistic for XMB to support this platform at all.
TagsNo tags attached.
MySQL Version
PHP Version5.3.1
Web Server
Browser
Flags
Original Reporter
SVN Revision2223

Relationships

related to 0000345 closedmiqrogroove Missing $ in debug.inc.php. 
child of 0000332 closedmiqrogroove PHP 5.3 Compatibility 

Activities

miqrogroove

2010-01-24 19:36

administrator   ~0000212

Found a good article here:

http://ruslany.net/2008/08/update-for-iis-70-fastcgi-module/

Despite what it says, the IIS 6.0 FastCGI was very much broken when I tested it earlier today. I'm inspired to try it again now, knowing that it was supposed to work even if it didn't.

miqrogroove

2010-01-24 20:07

administrator   ~0000213

Maybe getting warmer:

http://learn.iis.net/page.aspx/247/using-fastcgi-to-host-php-applications-on-iis-60/

I am appalled by how complicated/broken this is.

miqrogroove

2010-01-24 23:41

administrator   ~0000214

There is a big improvement now in revision 2223. I hope to close this out after some more testing.

miqrogroove

2010-01-25 00:19

administrator   ~0000215

Documented some of the tips and pitfalls at http://www.xmbforum.com/node/129

miqrogroove

2010-01-25 02:16

administrator   ~0000216

Calling it fixed now. XMB will check for the broken default configuration of PHP.

miqrogroove

2010-01-25 16:31

administrator   ~0000217

Need to make sure the strlen() strategy is valid.

miqrogroove

2010-01-25 16:41

administrator   ~0000218

Actually, it's consistent with what's already in XMB, so it should be safe.

Issue History

Date Modified Username Field Change
2010-01-24 15:48 miqrogroove New Issue
2010-01-24 15:48 miqrogroove PHP Version => 5.3.1
2010-01-24 15:48 miqrogroove Relationship added child of 0000332
2010-01-24 16:15 miqrogroove Platform IIS/Thread Safe/CGI => IIS/CGI/FastCGI
2010-01-24 18:46 miqrogroove Target Version => 1.9.11.08
2010-01-24 19:36 miqrogroove Note Added: 0000212
2010-01-24 20:07 miqrogroove Note Added: 0000213
2010-01-24 23:40 miqrogroove Status new => assigned
2010-01-24 23:40 miqrogroove Assigned To => miqrogroove
2010-01-24 23:41 miqrogroove Note Added: 0000214
2010-01-25 00:19 miqrogroove Note Added: 0000215
2010-01-25 02:08 miqrogroove Relationship added related to 0000345
2010-01-25 02:16 miqrogroove SVN Revision => 2223
2010-01-25 02:16 miqrogroove Note Added: 0000216
2010-01-25 02:16 miqrogroove Status assigned => resolved
2010-01-25 02:16 miqrogroove Fixed in Version => 1.9.11.08
2010-01-25 02:16 miqrogroove Resolution open => fixed
2010-01-25 16:31 miqrogroove Note Added: 0000217
2010-01-25 16:31 miqrogroove Status resolved => feedback
2010-01-25 16:31 miqrogroove Resolution fixed => reopened
2010-01-25 16:41 miqrogroove Note Added: 0000218
2010-01-25 16:41 miqrogroove Status feedback => resolved
2010-01-25 16:41 miqrogroove Resolution reopened => fixed
2010-02-24 17:57 miqrogroove Status resolved => closed